﻿using System.Collections;
using UnityEngine;

namespace Mod
{
    public class EMPGod10Behaviour : MonoBehaviour
    {
        private GameObject gameobjectStick;
        private AudioSource audio;

        public Vector2 ChainConnector = new Vector2(0f, 0f);
        public Vector2 rodConnector = new Vector2(0f, 0f);

        Sprite Rod;
        private void Awake()
        {
            var mace = ModAPI.CreatePhysicalObject("Stick", ModAPI.LoadSprite("shieldmask33.png"));
            mace.transform.SetParent(gameObject.transform);
           mace.gameObject.GetComponent<PhysicalBehaviour>().rigidbody.gravityScale = -0.2f;
            mace.transform.localPosition = new Vector3(ChainConnector.x + 2.2f, ChainConnector.y);
            mace.FixColliders();
            mace.AddComponent<Chest4>();



            DistanceJoint2D joint = gameObject.AddComponent<DistanceJoint2D>();
            joint.maxDistanceOnly = true;
            joint.enableCollision = true;
            joint.distance = 2.2f;
            joint.autoConfigureDistance = true;
            joint.breakForce = Mathf.Infinity;
            joint.breakTorque = Mathf.Infinity;
            joint.anchor = ChainConnector;
            joint.connectedBody = mace.GetComponent<Rigidbody2D>();
            joint.connectedAnchor = rodConnector;
            JointCreated(joint);


            audio = mace.gameObject.GetOrAddComponent<AudioSource>();
            audio.spatialBlend = 0.1f;
            audio.minDistance = 1;
            audio.maxDistance = 4;
            audio.playOnAwake = false;
            audio.loop = true;
            audio.clip = ModAPI.LoadSound("hum.wav");

            Global.main.AddAudioSource(audio);
        }

        void JointCreated(DistanceJoint2D joint)
        {
            EnergyWireBehaviour energyWireBehaviour = joint.gameObject.AddComponent<EnergyWireBehaviour>();
            energyWireBehaviour.WireWidth = 0f;
            energyWireBehaviour.typedJoint = joint;
            energyWireBehaviour.WireMaterial = Resources.Load<Material>("Materials/Bandage");

            
        }
    }
}