﻿using UnityEngine;

namespace Mod
{
    public class EMPGod6Behaviour : MonoBehaviour
    {

        private GameObject Foot;

        private GameObject Footglow;

        public void Awake()
        {
            Foot = gameObject;

            Footglow = new GameObject();
            Footglow.transform.parent = Foot.transform;
            Footglow.transform.localPosition = new Vector3(0f, 0f);
            Footglow.transform.localScale = gameObject.transform.parent.localScale;

            var FootSprite = Footglow.AddComponent<SpriteRenderer>();

            FootSprite.sprite = ModAPI.LoadSprite("th.png");
            FootSprite.material = ModAPI.FindMaterial("VeryBright");
            FootSprite.color = new Color(1f, 0f, 0f, 0f);
            FootSprite.sortingLayerName = "Top";
        }

        public void OnCollisionEnter2D(Collision2D other)
        {
            var rb = Foot.GetComponent<Rigidbody2D>();
            if (rb.velocity.magnitude >= 10f)
            {
                other.gameObject.GetComponent<Rigidbody2D>().velocity = rb.velocity * 60;
                ModAPI.CreateParticleEffect("Explosion", new Vector2(Foot.transform.position.x, Foot.transform.position.y + 0.1f));
            }
            else
            {
                other.gameObject.GetComponent<Rigidbody2D>().velocity = rb.velocity * 60;
            }
        }

        public void FixedUpdate()
        {
            if (Foot.GetComponent<Rigidbody2D>().velocity.magnitude >= 5f)
            {
                Footglow.GetComponent<SpriteRenderer>().color = new Color(1f, 0f, 0f, Mathf.Clamp(gameObject.GetComponent<Rigidbody2D>().velocity.magnitude / 0.01f, 0f, 1f));
            }
            else
            {
                Footglow.GetComponent<SpriteRenderer>().color = new Color(1f, 0f, 0f, 0f);
            }
        }
    }
}