﻿using UnityEngine;

namespace Mod
{
    public class Mod : MonoBehaviour
    {
        public static void Main()
        {

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "CTTC- Electricity Magic Human",
                    DescriptionOverride = "ACTIVATE THE SPHERE TO SHOOT A BEAM!   shocking...",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbgod.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
var arm11 = Instance.transform.Find("BackArm").Find("LowerArm");
                        var mid = Instance.transform.Find("Body").Find("MiddleBody");
                        var head = Instance.transform.Find("Head");


                        GameObject alsoEye = new GameObject();
                        alsoEye.transform.parent = head;
                        alsoEye.transform.localPosition = new Vector3(0f, 0f);
                        alsoEye.transform.localScale = new Vector3(1f, 1f);

                        var eyeSprite = alsoEye.AddComponent<SpriteRenderer>();

                        eyeSprite.sprite = ModAPI.LoadSprite("eye.png");
                        eyeSprite.material = ModAPI.FindMaterial("VeryBright");
                        eyeSprite.color = new Color(0f, 0.5f, 1f, 0.25f);
                        eyeSprite.sortingLayerName = "Top";

                        var eye = ModAPI.CreateLight(head, Color.cyan, 2.5f, 2.5f);
                        eye.transform.localPosition = new Vector3(0.04f, 0.1f, 0f);


mid.gameObject.AddComponent<Awake1>();
arm1.gameObject.AddComponent<EMPGod5Behaviour>();
arm11.gameObject.AddComponent<EMPGod5Behaviour>();


                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength += 4f;
                            body.Health *= 1000f;
                            body.InitialHealth *= 1000f;
                            body.ShotDamageMultiplier *= -100f;
                            body.Vitality *= 0.5f;
                            body.ImpactPainMultiplier *= -100f;
                            body.Numbness *= 2f;
                            body.IsLethalToBreak = false;
                            body.BreakingThreshold += 55f;
                            body.RegenerationSpeed += 100000000000f;
                            body.gameObject.AddComponent<Awake>();
                            body.CirculationBehaviour.BloodFlow *= 4f;
body.CirculationBehaviour.HealBleeding();
                        }

                        var skin = ModAPI.LoadTexture("skin.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, null);
		    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "CTTC- Fire Magic Human",
                    DescriptionOverride = "ACTIVATE THE SPHERE TO SHOOT A BEAM!   im jalous this guy bought a flying BBQ for free... god damn it",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbgod2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
var arm11 = Instance.transform.Find("BackArm").Find("LowerArm");
                        var mid = Instance.transform.Find("Body").Find("MiddleBody");
                        var head = Instance.transform.Find("Head");


                        GameObject alsoEye = new GameObject();
                        alsoEye.transform.parent = head;
                        alsoEye.transform.localPosition = new Vector3(0f, 0f);
                        alsoEye.transform.localScale = new Vector3(1f, 1f);

                        var eyeSprite = alsoEye.AddComponent<SpriteRenderer>();

                        eyeSprite.sprite = ModAPI.LoadSprite("eye.png");
                        eyeSprite.material = ModAPI.FindMaterial("VeryBright");
                        eyeSprite.color = new Color(1f, 0f, 0f, 0.25f);
                        eyeSprite.sortingLayerName = "Top";

                        var eye = ModAPI.CreateLight(head, Color.red, 2.5f, 2.5f);
                        eye.transform.localPosition = new Vector3(0.04f, 0.1f, 0f);

mid.gameObject.AddComponent<EMPGod3Behaviour>();
arm1.gameObject.AddComponent<EMPGod6Behaviour>();
arm11.gameObject.AddComponent<EMPGod6Behaviour>();
                        

                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength += 4f;
                            body.Health *= 1000f;
                            body.InitialHealth *= 1000f;
                            body.ShotDamageMultiplier *= -100f;
                            body.Vitality *= 0.5f;
                            body.ImpactPainMultiplier *= -100f;
                            body.Numbness *= 2f;
                            body.IsLethalToBreak = false;
                            body.BreakingThreshold += 55f;
                            body.RegenerationSpeed += 100000000000f;
                            body.gameObject.AddComponent<Awake>();
                            body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = -111100000f;
                            body.CirculationBehaviour.BloodFlow *= 4f;
body.CirculationBehaviour.HealBleeding();
                        }


                        var skin = ModAPI.LoadTexture("skin.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, null);
		    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "CTTC- Ion Magic Human",
                    DescriptionOverride = "ACTIVATE THE SPHERE TO SHOOT A BEAM!    funi fart power momentus ;----------;",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbgod3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
var arm11 = Instance.transform.Find("BackArm").Find("LowerArm");
                        var mid = Instance.transform.Find("Body").Find("MiddleBody");
                        var head = Instance.transform.Find("Head");


                        GameObject alsoEye = new GameObject();
                        alsoEye.transform.parent = head;
                        alsoEye.transform.localPosition = new Vector3(0f, 0f);
                        alsoEye.transform.localScale = new Vector3(1f, 1f);

                        var eyeSprite = alsoEye.AddComponent<SpriteRenderer>();

                        eyeSprite.sprite = ModAPI.LoadSprite("eye.png");
                        eyeSprite.material = ModAPI.FindMaterial("VeryBright");
                        eyeSprite.color = new Color(0f, 1f, 0f, 0.25f);
                        eyeSprite.sortingLayerName = "Top";

                        var eye = ModAPI.CreateLight(head, Color.green, 2.5f, 2.5f);
                        eye.transform.localPosition = new Vector3(0.04f, 0.1f, 0f);


mid.gameObject.AddComponent<EMPGod33Behaviour>();
arm1.gameObject.AddComponent<EMPGod7Behaviour>();
arm11.gameObject.AddComponent<EMPGod7Behaviour>();
                        

                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength += 4f;
                            body.Health *= 1000f;
                            body.InitialHealth *= 1000f;
                            body.ShotDamageMultiplier *= -100f;
                            body.Vitality *= 0.5f;
                            body.ImpactPainMultiplier *= -100f;
                            body.Numbness *= 2f;
                            body.IsLethalToBreak = false;
                            body.BreakingThreshold += 55f;
                            body.RegenerationSpeed += 100000000000f;
                            body.gameObject.AddComponent<Awake>();
                            body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = -111100000f;
                            body.CirculationBehaviour.BloodFlow *= 4f;
body.CirculationBehaviour.HealBleeding();
                        }


                        var skin = ModAPI.LoadTexture("skin.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, null);
		    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "CTTC- Shield Magic Human",
                    DescriptionOverride = "(the shield can reflect lasers) this is an exemple of a scared child that just want to live lol",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbgod4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
var arm11 = Instance.transform.Find("BackArm").Find("LowerArm");
                        var mid = Instance.transform.Find("Body").Find("MiddleBody");
                        var head = Instance.transform.Find("Head");


                        GameObject alsoEye = new GameObject();
                        alsoEye.transform.parent = head;
                        alsoEye.transform.localPosition = new Vector3(0f, 0f);
                        alsoEye.transform.localScale = new Vector3(1f, 1f);

                        var eyeSprite = alsoEye.AddComponent<SpriteRenderer>();

                        eyeSprite.sprite = ModAPI.LoadSprite("eye.png");
                        eyeSprite.material = ModAPI.FindMaterial("VeryBright");
                        eyeSprite.color = new Color(0f, 0f, 1f, 1f);
                        eyeSprite.sortingLayerName = "Top";


mid.gameObject.AddComponent<EMPGod9Behaviour>();
                        

                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength += 4f;
                            body.Health *= 1000f;
                            body.InitialHealth *= 1000f;
                            body.ShotDamageMultiplier *= -100f;
                            body.Vitality *= 0.5f;
                            body.ImpactPainMultiplier *= -100f;
                            body.Numbness *= 2f;
                            body.IsLethalToBreak = false;
                            body.BreakingThreshold += 55f;
                            body.RegenerationSpeed += 100000000000f;
                            body.gameObject.AddComponent<Awake>();
                            body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = -111100000f;
                            body.CirculationBehaviour.BloodFlow *= 4f;
body.CirculationBehaviour.HealBleeding();
                        }


                        var skin = ModAPI.LoadTexture("skin.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, null);
		    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "CTTC- WITHOUT ORB Electricity Magic Human",
                    DescriptionOverride = "shocking...",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("god1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
var arm11 = Instance.transform.Find("BackArm").Find("LowerArm");
                        var mid = Instance.transform.Find("Body").Find("MiddleBody");
                        var head = Instance.transform.Find("Head");


                        GameObject alsoEye = new GameObject();
                        alsoEye.transform.parent = head;
                        alsoEye.transform.localPosition = new Vector3(0f, 0f);
                        alsoEye.transform.localScale = new Vector3(1f, 1f);

                        var eyeSprite = alsoEye.AddComponent<SpriteRenderer>();

                        eyeSprite.sprite = ModAPI.LoadSprite("eye.png");
                        eyeSprite.material = ModAPI.FindMaterial("VeryBright");
                        eyeSprite.color = new Color(0f, 0.5f, 1f, 0.25f);
                        eyeSprite.sortingLayerName = "Top";

                        var eye = ModAPI.CreateLight(head, Color.cyan, 2.5f, 2.5f);
                        eye.transform.localPosition = new Vector3(0.04f, 0.1f, 0f);


arm1.gameObject.AddComponent<EMPGod5Behaviour>();
arm11.gameObject.AddComponent<EMPGod5Behaviour>();


                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength += 4f;
                            body.Health *= 1000f;
                            body.InitialHealth *= 1000f;
                            body.ShotDamageMultiplier *= -100f;
                            body.Vitality *= 0.5f;
                            body.ImpactPainMultiplier *= -100f;
                            body.Numbness *= 2f;
                            body.IsLethalToBreak = false;
                            body.BreakingThreshold += 55f;
                            body.RegenerationSpeed += 100000000000f;
                            body.gameObject.AddComponent<Awake>();
                            body.CirculationBehaviour.BloodFlow *= 4f;
body.CirculationBehaviour.HealBleeding();
                        }

                        var skin = ModAPI.LoadTexture("skin.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, null);
		    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "CTTC- WITHOUT ORB Fire Magic Human",
                    DescriptionOverride = "im jalous this guy bought a flying BBQ for free... god damn it",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("god2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
var arm11 = Instance.transform.Find("BackArm").Find("LowerArm");
                        var mid = Instance.transform.Find("Body").Find("MiddleBody");
                        var head = Instance.transform.Find("Head");


                        GameObject alsoEye = new GameObject();
                        alsoEye.transform.parent = head;
                        alsoEye.transform.localPosition = new Vector3(0f, 0f);
                        alsoEye.transform.localScale = new Vector3(1f, 1f);

                        var eyeSprite = alsoEye.AddComponent<SpriteRenderer>();

                        eyeSprite.sprite = ModAPI.LoadSprite("eye.png");
                        eyeSprite.material = ModAPI.FindMaterial("VeryBright");
                        eyeSprite.color = new Color(1f, 0f, 0f, 0.25f);
                        eyeSprite.sortingLayerName = "Top";

                        var eye = ModAPI.CreateLight(head, Color.red, 2.5f, 2.5f);
                        eye.transform.localPosition = new Vector3(0.04f, 0.1f, 0f);

arm1.gameObject.AddComponent<EMPGod6Behaviour>();
arm11.gameObject.AddComponent<EMPGod6Behaviour>();
                        

                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength += 4f;
                            body.Health *= 1000f;
                            body.InitialHealth *= 1000f;
                            body.ShotDamageMultiplier *= -100f;
                            body.Vitality *= 0.5f;
                            body.ImpactPainMultiplier *= -100f;
                            body.Numbness *= 2f;
                            body.IsLethalToBreak = false;
                            body.BreakingThreshold += 55f;
                            body.RegenerationSpeed += 100000000000f;
                            body.gameObject.AddComponent<Awake>();
                            body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = -111100000f;
                            body.CirculationBehaviour.BloodFlow *= 4f;
body.CirculationBehaviour.HealBleeding();
                        }


                        var skin = ModAPI.LoadTexture("skin.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, null);
		    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "CTTC- WITHOUT ORB Ion Magic Human",
                    DescriptionOverride = "funi fart power momentus ;----------;",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("god3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
var arm11 = Instance.transform.Find("BackArm").Find("LowerArm");
                        var mid = Instance.transform.Find("Body").Find("MiddleBody");
                        var head = Instance.transform.Find("Head");


                        GameObject alsoEye = new GameObject();
                        alsoEye.transform.parent = head;
                        alsoEye.transform.localPosition = new Vector3(0f, 0f);
                        alsoEye.transform.localScale = new Vector3(1f, 1f);

                        var eyeSprite = alsoEye.AddComponent<SpriteRenderer>();

                        eyeSprite.sprite = ModAPI.LoadSprite("eye.png");
                        eyeSprite.material = ModAPI.FindMaterial("VeryBright");
                        eyeSprite.color = new Color(0f, 1f, 0f, 0.25f);
                        eyeSprite.sortingLayerName = "Top";

                        var eye = ModAPI.CreateLight(head, Color.green, 2.5f, 2.5f);
                        eye.transform.localPosition = new Vector3(0.04f, 0.1f, 0f);


arm1.gameObject.AddComponent<EMPGod7Behaviour>();
arm11.gameObject.AddComponent<EMPGod7Behaviour>();
                        

                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength += 4f;
                            body.Health *= 1000f;
                            body.InitialHealth *= 1000f;
                            body.ShotDamageMultiplier *= -100f;
                            body.Vitality *= 0.5f;
                            body.ImpactPainMultiplier *= -100f;
                            body.Numbness *= 2f;
                            body.IsLethalToBreak = false;
                            body.BreakingThreshold += 55f;
                            body.RegenerationSpeed += 100000000000f;
                            body.gameObject.AddComponent<Awake>();
                            body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = -111100000f;
                            body.CirculationBehaviour.BloodFlow *= 4f;
body.CirculationBehaviour.HealBleeding();
                        }

                        var skin = ModAPI.LoadTexture("skin.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, null);
		    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "CTTC- Speed Magic Human",
                    DescriptionOverride = "ACTIVATE THE MISSILE TO GO VERY FAST!  this guy can reach maximum overdrive supah speed.... hes gonna blow up eventually...",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbgod5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
var arm11 = Instance.transform.Find("BackArm").Find("LowerArm");
                        var mid = Instance.transform.Find("Body").Find("MiddleBody");
                        var head = Instance.transform.Find("Head");


                        GameObject alsoEye = new GameObject();
                        alsoEye.transform.parent = head;
                        alsoEye.transform.localPosition = new Vector3(0f, 0f);
                        alsoEye.transform.localScale = new Vector3(1f, 1f);

                        var eyeSprite = alsoEye.AddComponent<SpriteRenderer>();

                        eyeSprite.sprite = ModAPI.LoadSprite("eye.png");
                        eyeSprite.material = ModAPI.FindMaterial("VeryBright");
                        eyeSprite.color = new Color(1f, 0f, 1f, 0.25f);
                        eyeSprite.sortingLayerName = "Top";

                        var eye = ModAPI.CreateLight(head, Color.blue, 2.5f, 2.5f);
                        eye.transform.localPosition = new Vector3(0.04f, 0.1f, 0f);


mid.gameObject.AddComponent<EMPGod10Behaviour>();
mid.gameObject.GetComponent<Rigidbody2D>().freezeRotation = true;
                        

                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength += 4f;
                            body.Health *= 1000f;
                            body.InitialHealth *= 1000f;
                            body.ShotDamageMultiplier *= -100f;
                            body.Vitality *= 0.5f;
                            body.ImpactPainMultiplier *= -100f;
                            body.Numbness *= 2f;
                            body.IsLethalToBreak = false;
                            body.BreakingThreshold += 55f;
                            body.RegenerationSpeed += 100000000000f;
                            body.gameObject.AddComponent<Awake>();
body.gameObject.GetComponent<PhysicalBehaviour>().rigidbody.gravityScale = 0.8f;
                            body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = -111100000f;
                            body.CirculationBehaviour.BloodFlow *= 4f;
body.CirculationBehaviour.HealBleeding();
                        }


                        var skin = ModAPI.LoadTexture("skin.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, null);
		    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "CTTC- WITHOUT MISSILE Speed Magic Human",
                    DescriptionOverride = "this guy can reach maximum overdrive supah speed.... hes gonna blow up eventually tho...",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("god5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
var arm11 = Instance.transform.Find("BackArm").Find("LowerArm");
                        var mid = Instance.transform.Find("Body").Find("MiddleBody");
                        var head = Instance.transform.Find("Head");


                        GameObject alsoEye = new GameObject();
                        alsoEye.transform.parent = head;
                        alsoEye.transform.localPosition = new Vector3(0f, 0f);
                        alsoEye.transform.localScale = new Vector3(1f, 1f);

                        var eyeSprite = alsoEye.AddComponent<SpriteRenderer>();

                        eyeSprite.sprite = ModAPI.LoadSprite("eye.png");
                        eyeSprite.material = ModAPI.FindMaterial("VeryBright");
                        eyeSprite.color = new Color(1f, 0f, 1f, 0.25f);
                        eyeSprite.sortingLayerName = "Top";

                        var eye = ModAPI.CreateLight(head, Color.blue, 2.5f, 2.5f);
                        eye.transform.localPosition = new Vector3(0.04f, 0.1f, 0f);


                        foreach (var body in person.Limbs)
                        {
                            body.BaseStrength += 4f;
                            body.Health *= 1000f;
                            body.InitialHealth *= 1000f;
                            body.ShotDamageMultiplier *= -100f;
                            body.Vitality *= 0.5f;
                            body.ImpactPainMultiplier *= -100f;
                            body.Numbness *= 2f;
                            body.IsLethalToBreak = false;
                            body.BreakingThreshold += 55f;
                            body.RegenerationSpeed += 100000000000f;
                            body.gameObject.AddComponent<Awake>();
                            body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = -111100000f;
                            body.CirculationBehaviour.BloodFlow *= 4f;
body.CirculationBehaviour.HealBleeding();
                        }


                        var skin = ModAPI.LoadTexture("skin.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, null);
		    }
                }
            );
                }
             }
         }